unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, Forms, Controls, Graphics, Dialogs, DBGrids,
  DbCtrls, StdCtrls, ZConnection, ZDataset;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    DSUebersicht: TDatasource;
    DSsoftware: TDatasource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    ZC1: TZConnection;
    ZQSoftware: TZQuery;
    ZQUebersicht: TZQuery;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  ident:integer;
begin
  ident:=ZQUebersicht.FieldByName('sid').AsInteger;
  With zqSoftware do
    begin
      Edit;
      FieldByName('bereitgestellt').AsDateTime:=Now();
      try
        Post;
      except
        showMessage('Error bein Update');
      end;
    end;
    ZQUebersicht.DisableControls;
    ZQUebersicht.Refresh;
    ZQUebersicht.First;
    while not (ZQUebersicht.FieldByName('sid').AsInteger=ident) do
      ZQUebersicht.Next;
    ZQUebersicht.EnableControls;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  ZC1.Connect;
  ZQuebersicht.Active:=true;
  ZQsoftware.Active:=true;
end;

end.

